Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 2557783002: Improve metrics for display list canvas fallback reason (Closed)

Created:
2 years, 4 months ago by Justin Novosad
Modified:
2 years, 4 months ago
CC:
chromium-reviews, krit, dshwang, drott+blinkwatch_chromium.org, blink-reviews-platform-graphics_chromium.org, ajuma+watch-canvas_chromium.org, blink-reviews-html_chromium.org, pdr+graphicswatchlist_chromium.org, jbroman, haraken, dglazkov+blink, Rik, f(malita), asvitkine+watch_chromium.org, blink-reviews, danakj+watch_chromium.org, ajuma+watch_chromium.org, Stephen Chennney, rwlbuis
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Improve metrics for display list canvas fallback reason This change removes the CopyToWebGLTexture fallback reason, which was no longer capturing the right thing, and replaces it with more granular fallback reasons for the different variants of texImage. This CL also adds more specific fallback reasons to track cases where a canvas is copied to the clipboard and createImageBItmap. BUG=671637 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_optional_gpu_tests_rel;master.tryserver.chromium.mac:mac_optional_gpu_tests_rel;master.tryserver.chromium.win:win_optional_gpu_tests_rel Committed: https://crrev.com/774cb99b4af46bdd0954d13d44de66a8c19cd640 Cr-Commit-Position: refs/heads/master@{#437714}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+122 lines, -62 lines) Patch
M third_party/WebKit/Source/core/editing/Editor.cpp View 1 chunk +4 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/frame/ImageBitmap.cpp View 1 chunk +5 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLCanvasElement.h View 1 chunk +3 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/html/HTMLCanvasElement.cpp View 3 chunks +5 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLImageElement.cpp View 2 chunks +2 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/modules/webgl/WebGLRenderingContextBase.h View 3 chunks +6 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/modules/webgl/WebGLRenderingContextBase.cpp View 11 chunks +52 lines, -27 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/GraphicsTypes.h View 2 chunks +6 lines, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/ImageBuffer.h View 1 chunk +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/ImageBuffer.cpp View 2 chunks +4 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/RecordingImageBufferSurface.h View 2 chunks +6 lines, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/RecordingImageBufferSurface.cpp View 2 chunks +19 lines, -4 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 2 chunks +8 lines, -1 line 0 comments Download

Messages

Total messages: 29 (17 generated)
Justin Novosad
PTAL jwd: histograms.xml kbr: modules/webgl xidachen: everything else
2 years, 4 months ago (2016-12-06 16:22:06 UTC) #5
xidachen
lgtm
2 years, 4 months ago (2016-12-06 20:13:29 UTC) #10
Ken Russell (switch to Gerrit)
WebGL parts LGTM. Good cleanup of redundant enums.
2 years, 4 months ago (2016-12-08 08:13:50 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2557783002/1
2 years, 4 months ago (2016-12-08 20:21:52 UTC) #15
Justin Novosad
jwd, ping
2 years, 4 months ago (2016-12-08 20:22:02 UTC) #16
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/321840)
2 years, 4 months ago (2016-12-08 20:58:51 UTC) #18
Ken Russell (switch to Gerrit)
+isherman as another tools/metrics OWNER
2 years, 4 months ago (2016-12-09 03:56:45 UTC) #20
Justin Novosad
metrics ping!
2 years, 4 months ago (2016-12-09 20:04:48 UTC) #21
jwd
lgtm
2 years, 4 months ago (2016-12-09 20:04:50 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2557783002/1
2 years, 4 months ago (2016-12-09 20:09:27 UTC) #24
commit-bot: I haz the power
Committed patchset #1 (id:1)
2 years, 4 months ago (2016-12-10 01:51:46 UTC) #27
commit-bot: I haz the power
2 years, 4 months ago (2016-12-12 14:59:23 UTC) #29
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/774cb99b4af46bdd0954d13d44de66a8c19cd640
Cr-Commit-Position: refs/heads/master@{#437714}

Powered by Google App Engine
This is Rietveld 408576698